Bug 1625174 - Two meanings of "Enabled" on new Subscription tab might cause confusion
Summary: Two meanings of "Enabled" on new Subscription tab might cause confusion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Michael Johnson
QA Contact: Mirek Zalewski
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-04 10:24 UTC by Mirek Zalewski
Modified: 2019-10-07 17:18 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:51 UTC


Attachments (Terms of Use)
Screenshot showing problem (95.73 KB, image/png)
2018-09-04 10:24 UTC, Mirek Zalewski
no flags Details
Same screen after fix (73.90 KB, image/png)
2018-11-20 10:56 UTC, Mirek Zalewski
no flags Details


Links
System ID Priority Status Summary Last Updated
Github Katello katello pull 7715 None None None 2018-09-20 19:23:59 UTC
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:03 UTC
Foreman Issue Tracker 24809 None None None 2018-09-04 12:31:47 UTC
Red Hat Bugzilla 1603239 None CLOSED Add product content info to new subscription details page 2019-03-28 19:45:24 UTC

Description Mirek Zalewski 2018-09-04 10:24:10 UTC
Created attachment 1480735 [details]
Screenshot showing problem

As part of Bug 1603239, Product Content tab on Subscription details page has been renamed to Enabled Products.

Each product on that page has "Enabled?" field. As a result, "Enabled Products" tab can list products that are not enabled, leading to confusion.

This steams from "Enabled" having two distinct meanings on that page. "Enabled Products" in tab title means products that has been selected (enabled) on Red Hat Repositories page. "Enabled?" in product details refer to "enabled" flag of product. It affects whether repository will be enabled by default on host consuming that subscription, and default values when setting up Activation Key.

Possibly "Enabled?" would better convey its meaning when renamed to "Auto-enabled?"? Or help text that was on old Subscription details page should be brought back, to address possible confusion?


Version-Release number of selected component (if applicable):
Satellite 6.4.0 snap 20
tfm-rubygem-katello-3.7.0.22-1.el7sat.noarch


Steps to reproduce:
1. Upload manifest with RHEL product
2. Content -> Red Hat Repositories -> Enable rhel-7-server-rpms and rhel-7-server-kickstart
3. Content -> Subscriptions -> Subscription with RHEL product -> Enabled Products -> expand Red Hat Enterprise Linux Server

Comment 2 Andrew Kofink 2018-09-04 12:31:45 UTC
Created redmine issue https://projects.theforeman.org/issues/24809 from this bug

Comment 3 Andrew Kofink 2018-09-04 12:35:01 UTC
Could we just rename the tab back to 'Product Content' as it was before?

Comment 4 Brad Buckingham 2018-09-06 20:29:11 UTC
Miroslaw,

Any objection to the solution proposed by Andrew in comment 3?

Comment 5 Mirek Zalewski 2018-09-07 08:22:27 UTC
Sorry, missed that comment...

I would be perfectly fine with going back to "Product Content".

But since we have ended up with something very different than mockup provided in #1603239, and I couldn't find any discussion about differences, I don't feel it's my decision to make. There are reasons it was changed to "Enabled Products" in the first place and I don't know them.

Let's try to get Roxanne take on that before we commit to any solution.


@Roxanne:
we currently have two different meanings of word "enabled" on one page and I think it might be confusing for users. One solution could be renaming "Enabled Products" back to "Product Content", as it was in Sat 6.3. What do you think?

Comment 6 Andrew Kofink 2018-09-07 12:48:23 UTC
Miroslaw,

Here's the relevant conversation about why the original mockup was not a good fit for this page: https://github.com/Katello/katello/pull/7578#issuecomment-409921920

afaik, there was no discussion around the name of this tab.

Comment 7 Roxanne Hoover 2018-09-20 17:18:57 UTC
I don't know why the tab was renamed, and can't recall any conversation around it. Happy to default to whatever the group thinks is best for tab naming.

Comment 8 pm-sat@redhat.com 2018-09-20 22:08:31 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24809 has been resolved.

Comment 9 Mirek Zalewski 2018-11-20 09:53:17 UTC
"Enabled Products" tab was renamed to "Product Content". The same word isn't used in two different meaning on the same page.

During retest, unrelated regression was found. Filed as Bug 1651324 .

Verified on:
Satellite 6.5 snap 4
satellite-6.5.0-4.beta.el7sat.noarch
pulp-server-2.17.1-1.el7sat.noarch
foreman-1.20.0-1.el7sat.noarch
katello-3.9.0-0.11.rc2.el7sat.noarch

Comment 10 Mirek Zalewski 2018-11-20 10:56:59 UTC
Created attachment 1507392 [details]
Same screen after fix

Comment 14 errata-xmlrpc 2019-05-14 12:37:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.